//Legal Notice: (C)2007 Altera Corporation. All rights reserved.  Your
//use of Altera Corporation's design tools, logic functions and other
//software and tools, and its AMPP partner logic functions, and any
//output files any of the foregoing (including device programming or
//simulation files), and any associated documentation or information are
//expressly subject to the terms and conditions of the Altera Program
//License Subscription Agreement or other applicable license agreement,
//including, without limitation, that your use is for the sole purpose
//of programming logic devices manufactured by Altera and sold by Altera
//or its authorized distributors.  Please refer to the applicable
//agreement for further details.

// synthesis translate_off
`timescale 1ns / 1ps
// synthesis translate_on

// turn off superfluous verilog processor warnings 
// altera message_level Level1 
// altera message_off 10034 10035 10036 10037 10230 10240 10030 

module audio_out (
                   // inputs:
                    AUD_CLK,
                    address,
                    byteenable,
                    chipselect,
                    clk,
                    read,
                    reset_n,
                    write,
                    writedata,

                   // outputs:
                    AUD_BCLK,
                    AUD_DACDAT,
                    AUD_DACLRCK,
                    AUD_XCK,
                    ledr,
                    readdata,
                    waitrequest
                 )
;

  inout            AUD_BCLK;
  output           AUD_DACDAT;
  output           AUD_DACLRCK;
  output           AUD_XCK;
  output  [ 17: 0] ledr;
  output  [ 15: 0] readdata;
  output           waitrequest;
  input            AUD_CLK;
  input   [  7: 0] address;
  input   [  1: 0] byteenable;
  input            chipselect;
  input            clk;
  input            read;
  input            reset_n;
  input            write;
  input   [ 15: 0] writedata;

  wire             AUD_BCLK;
  wire             AUD_DACDAT;
  wire             AUD_DACLRCK;
  wire             AUD_XCK;
  wire    [ 17: 0] ledr;
  wire    [ 15: 0] readdata;
  wire             waitrequest;
  de2_audio_out the_de2_audio_out
    (
      .AUD_BCLK    (AUD_BCLK),
      .AUD_CLK     (AUD_CLK),
      .AUD_DACDAT  (AUD_DACDAT),
      .AUD_DACLRCK (AUD_DACLRCK),
      .AUD_XCK     (AUD_XCK),
      .address     (address),
      .byteenable  (byteenable),
      .chipselect  (chipselect),
      .clk         (clk),
      .ledr        (ledr),
      .read        (read),
      .readdata    (readdata),
      .reset_n     (reset_n),
      .waitrequest (waitrequest),
      .write       (write),
      .writedata   (writedata)
    );


endmodule

